summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorAlberto Mardegan <mardy@users.sourceforge.net>2008-08-18 13:20:49 +0000
committerAlberto Mardegan <mardy@users.sourceforge.net>2008-08-18 13:20:49 +0000
commite57cda074e91e022eea60efd8932781fb4e648c9 (patch)
tree4387f03708dd054a89e50bf8b989baa413a6c45f /autogen.sh
parent493f306d9b93cc1fcfbfa58bc3b1820e5b6b9b5d (diff)
downloadtelepathy-mission-control-e57cda074e91e022eea60efd8932781fb4e648c9.tar.gz
Lots of cleanup, most made by smcv.
git-svn-id: https://mission-control.svn.sourceforge.net/svnroot/mission-control/trunk@513 d91c8aed-3f2b-0410-a83d-924a1c20a0ba
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh37
1 files changed, 34 insertions, 3 deletions
diff --git a/autogen.sh b/autogen.sh
index 702a9150..588a8c1f 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,5 +1,36 @@
#!/bin/sh
-echo 'Running gtkdocize'; gtkdocize
-echo 'Running autoreconf -i --force'; autoreconf -i --force
-echo "Running ./configure --enable-maintainer-mode $*"; ./configure --enable-maintainer-mode $*
+set -e
+echo 'Running gtkdocize'
+gtkdocize
+
+if test -n "$AUTOMAKE"; then
+ : # don't override an explicit user request
+elif automake-1.9 --version >/dev/null 2>/dev/null && \
+ aclocal-1.9 --version >/dev/null 2>/dev/null; then
+ # If we have automake-1.9, use it. This helps to ensure that our build
+ # system doesn't accidentally grow automake-1.10 dependencies.
+ AUTOMAKE=automake-1.9
+ export AUTOMAKE
+ ACLOCAL=aclocal-1.9
+ export ACLOCAL
+fi
+
+echo 'Running autoreconf -i --force'
+autoreconf -i --force
+
+run_configure=true
+for arg in $*; do
+ case $arg in
+ --no-configure)
+ run_configure=false
+ ;;
+ *)
+ ;;
+ esac
+done
+
+if test $run_configure = true; then
+ echo "Running ./configure --enable-maintainer-mode --enable-gtk-doc $*"
+ ./configure --enable-maintainer-mode --enable-gtk-doc "$@"
+fi